<?php

namespace Drupal\cmlmigrations\Plugin\migrate\source;

use Drupal\cmlmigrations\Utility\MigrationsSourceBase;

/**
 * Source for CSV.
 *
 * @MigrateSource(
 *   id = "cml_commerce_product_variation_attribute"
 * )
 */
class CommerceProductVariationAttribute extends MigrationsSourceBase {

  /**
   * {@inheritdoc}
   */
  public function getRows() {
    $rows = [];
    $source = \Drupal::service('cmlapi.parser_offers')->parse();
    $trans = \Drupal::transliteration();
    if ($source) {
      $k = 0;
      foreach ($source as $key => $row) {
        if ($k++ < 100 || !$this->uipage) {
          if (!empty($row['KHarakteristikiTovara'])) {
            foreach ($row['KHarakteristikiTovara'] as $attribute) {
              $name = $trans->transliterate($attribute['Наименование'], '');
              $value = $attribute['Значение'];
              $id = "$name-$value";
              $rows[$id] = [
                'uuid' => $id,
                'attribute' => $name,
                'name' => $value,
                'weight' => 0,
              ];
            }
          }
        }
      }
    }
    $this->debug = FALSE;
    // dsm($rows);
    return $rows;
  }

}
